Bug 184241 - graphics/qslim: Fix build on -current
Summary: graphics/qslim: Fix build on -current
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pawel Pekala
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-24 18:10 UTC by tkato432
Modified: 2013-12-26 13:20 UTC (History)
0 users

See Also:


Attachments
file.diff (2.95 KB, patch)
2013-11-24 18:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-11-24 18:10:07 UTC
- Fix build on -current
Comment 1 Pawel Pekala freebsd_committer 2013-12-25 17:33:54 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pawel

I'll take it.
Comment 2 dfilter service freebsd_committer 2013-12-25 17:43:13 UTC
Author: pawel
Date: Wed Dec 25 17:43:05 2013
New Revision: 337434
URL: http://svnweb.freebsd.org/changeset/ports/337434

Log:
  - Fix build on -current
  - Convert LIB_DEPENDS to new format
  - Support staging
  
  PR:		ports/184241
  Submitted by:	KATO Tsuguru <tkato432@yahoo.com>

Modified:
  head/graphics/qslim/Makefile

Modified: head/graphics/qslim/Makefile
==============================================================================
--- head/graphics/qslim/Makefile	Wed Dec 25 17:42:54 2013	(r337433)
+++ head/graphics/qslim/Makefile	Wed Dec 25 17:43:05 2013	(r337434)
@@ -9,31 +9,32 @@ MASTER_SITES=	http://mgarland.org/files/
 		CENKES
 
 MAINTAINER=	ports@FreeBSD.org
-COMMENT=	SlimKit Surface Modeling Tools
+COMMENT=	SlimKit surface modeling tools
 
 LICENSE=	GPLv2
 
-LIB_DEPENDS=	png15:${PORTSDIR}/graphics/png \
-		tiff.4:${PORTSDIR}/graphics/tiff \
-		gfx.0:${PORTSDIR}/graphics/libgfx \
-		forms.2:${PORTSDIR}/x11-toolkits/xforms
+LIB_DEPENDS=	libpng15.so:${PORTSDIR}/graphics/png \
+		libtiff.so:${PORTSDIR}/graphics/tiff \
+		libgfx.so:${PORTSDIR}/graphics/libgfx \
+		libforms.so:${PORTSDIR}/x11-toolkits/xforms
 
 CONFIGURE_WRKSRC=	${WRKSRC}/mixkit
 BUILD_WRKSRC=		${WRKSRC}/mixkit/src
 
+USES=		gmake
 USE_GL=		glu
-USE_GMAKE=	yes
 GNU_CONFIGURE=	yes
-MAKE_ENV=	FLTKCONFIG="${LOCALBASE}/bin/fltk-config"
+MAKE_ENV=	FLTKCONFIG="${FLTK_CONFIG}" GUI_LIBS="${GUI_LIBS}"
 MAKE_ARGS=	CC="${CC}" CXX="${CXX}"
 ALL_TARGET=	# none
 USE_LDCONFIG=	yes
 
-CFLAGS+=	-DMIX_ANSI_IOSTREAMS -fpermissive -fPIC ${CPPFLAGS}
-CPPFLAGS+=	-I${LOCALBASE}/include ${PTHREAD_CFLAGS} -DHAVE_BOOL
-LDFLAGS+=	-L${LOCALBASE}/lib ${PTHREAD_LIBS}
+CFLAGS+=	-DMIX_ANSI_IOSTREAMS -DHAVE_BOOL -fPIC -I${LOCALBASE}/include
+LDFLAGS+=	-L${LOCALBASE}/lib
+
+FLTK_CONFIG=	${LOCALBASE}/bin/fltk-config
+GUI_LIBS=	$$(${FLTK_CONFIG} --use-gl --ldflags)
 
-NO_STAGE=	yes
 post-extract:
 	@${RM} -rf ${WRKSRC}/libgfx/
 
@@ -42,21 +43,26 @@ post-patch:
 	@${REINPLACE_CMD} -e 's/\.\..*mix\.a//' ${WRKSRC}/tools/qslim/Makefile
 	@${REINPLACE_CMD} -e '/gfx-config/d;s/\.a/.so/g;s/[(]AR[)] cru/(CXX) \
 		$$(CXXFLAGS) -shared -o/;/RANLIB/d' ${BUILD_WRKSRC}/${MAKEFILE}
-	@for f in ${BUILD_WRKSRC}/Makefile ${WRKSRC}/tools/qslim/Makefile;do\
-		${ECHO_CMD} '.SUFFIXES: .fl .c .cc .cxx .o' >> $$f;\
-		${ECHO_CMD} '.cxx.o:' >> $$f;\
-		${ECHO_CMD} '	$$(CXX) -c $$(CXXFLAGS) $$<' >> $$f;done
+.for i in mixkit/src/Makefile tools/qslim/Makefile
+	@${ECHO_CMD} '.SUFFIXES: .fl .c .cc .cxx .o' >> ${WRKSRC}/${i}
+	@${ECHO_CMD} '.cxx.o:' >> ${WRKSRC}/${i}
+	@${ECHO_CMD} '	$$(CXX) -c $$(CXXFLAGS) $$<' >> ${WRKSRC}/${i}
+.endfor
 
 post-build:
 	@(cd ${BUILD_WRKSRC}/../../tools/qslim && ${SETENV} ${MAKE_ENV} \
-	${GMAKE} ${MAKE_ARGS} ${ALL_TARGET})
+		${MAKE_CMD} ${MAKE_ARGS} ${ALL_TARGET})
 
 do-install:
-	@${INSTALL_PROGRAM} ${WRKSRC}/mixkit/src/libmix.so ${PREFIX}/lib/
-	@${LN} -sf libmix.so ${PREFIX}/lib/libmix.so.0
-	@${INSTALL_PROGRAM} ${WRKSRC}/tools/qslim/qslim ${PREFIX}/bin/
-	@${INSTALL_PROGRAM} ${WRKSRC}/tools/qslim/qvis ${PREFIX}/bin/
-	@${INSTALL} -d ${PREFIX}/include/mixkit/
-	@${INSTALL_DATA} ${WRKSRC}/mixkit/src/*.h ${PREFIX}/include/mixkit/
+.for i in qslim qvis
+	(cd ${WRKSRC}/tools/qslim && ${INSTALL_PROGRAM} ${i} \
+		${STAGEDIR}${PREFIX}/bin)
+.endfor
+	@${MKDIR} ${STAGEDIR}${PREFIX}/include/mixkit
+	(cd ${WRKSRC}/mixkit/src && ${INSTALL_DATA} *.h \
+		${STAGEDIR}${PREFIX}/include/mixkit)
+	(cd ${WRKSRC}/mixkit/src && ${INSTALL_PROGRAM} libmix.so \
+		${STAGEDIR}${PREFIX}/lib)
+	@${LN} -sf libmix.so ${STAGEDIR}${PREFIX}/lib/libmix.so.0
 
 .include <bsd.port.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Pawel Pekala freebsd_committer 2013-12-25 17:43:17 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2013-12-26 13:16:17 UTC
Author: mat
Date: Thu Dec 26 13:16:06 2013
New Revision: 337502
URL: http://svnweb.freebsd.org/changeset/ports/337502

Log:
  MFH: r337434
  
  - Fix build on -current
  - Convert LIB_DEPENDS to new format
  - Support staging
  
  PR:		ports/184241
  Submitted by:	KATO Tsuguru <tkato432@yahoo.com>
  Approved by:	portmgr (implicit)

Modified:
  branches/2014Q1/graphics/qslim/Makefile
Directory Properties:
  branches/2014Q1/   (props changed)

Modified: branches/2014Q1/graphics/qslim/Makefile
==============================================================================
--- branches/2014Q1/graphics/qslim/Makefile	Thu Dec 26 13:15:58 2013	(r337501)
+++ branches/2014Q1/graphics/qslim/Makefile	Thu Dec 26 13:16:06 2013	(r337502)
@@ -9,31 +9,32 @@ MASTER_SITES=	http://mgarland.org/files/
 		CENKES
 
 MAINTAINER=	ports@FreeBSD.org
-COMMENT=	SlimKit Surface Modeling Tools
+COMMENT=	SlimKit surface modeling tools
 
 LICENSE=	GPLv2
 
-LIB_DEPENDS=	png15:${PORTSDIR}/graphics/png \
-		tiff.4:${PORTSDIR}/graphics/tiff \
-		gfx.0:${PORTSDIR}/graphics/libgfx \
-		forms.2:${PORTSDIR}/x11-toolkits/xforms
+LIB_DEPENDS=	libpng15.so:${PORTSDIR}/graphics/png \
+		libtiff.so:${PORTSDIR}/graphics/tiff \
+		libgfx.so:${PORTSDIR}/graphics/libgfx \
+		libforms.so:${PORTSDIR}/x11-toolkits/xforms
 
 CONFIGURE_WRKSRC=	${WRKSRC}/mixkit
 BUILD_WRKSRC=		${WRKSRC}/mixkit/src
 
+USES=		gmake
 USE_GL=		glu
-USE_GMAKE=	yes
 GNU_CONFIGURE=	yes
-MAKE_ENV=	FLTKCONFIG="${LOCALBASE}/bin/fltk-config"
+MAKE_ENV=	FLTKCONFIG="${FLTK_CONFIG}" GUI_LIBS="${GUI_LIBS}"
 MAKE_ARGS=	CC="${CC}" CXX="${CXX}"
 ALL_TARGET=	# none
 USE_LDCONFIG=	yes
 
-CFLAGS+=	-DMIX_ANSI_IOSTREAMS -fpermissive -fPIC ${CPPFLAGS}
-CPPFLAGS+=	-I${LOCALBASE}/include ${PTHREAD_CFLAGS} -DHAVE_BOOL
-LDFLAGS+=	-L${LOCALBASE}/lib ${PTHREAD_LIBS}
+CFLAGS+=	-DMIX_ANSI_IOSTREAMS -DHAVE_BOOL -fPIC -I${LOCALBASE}/include
+LDFLAGS+=	-L${LOCALBASE}/lib
+
+FLTK_CONFIG=	${LOCALBASE}/bin/fltk-config
+GUI_LIBS=	$$(${FLTK_CONFIG} --use-gl --ldflags)
 
-NO_STAGE=	yes
 post-extract:
 	@${RM} -rf ${WRKSRC}/libgfx/
 
@@ -42,21 +43,26 @@ post-patch:
 	@${REINPLACE_CMD} -e 's/\.\..*mix\.a//' ${WRKSRC}/tools/qslim/Makefile
 	@${REINPLACE_CMD} -e '/gfx-config/d;s/\.a/.so/g;s/[(]AR[)] cru/(CXX) \
 		$$(CXXFLAGS) -shared -o/;/RANLIB/d' ${BUILD_WRKSRC}/${MAKEFILE}
-	@for f in ${BUILD_WRKSRC}/Makefile ${WRKSRC}/tools/qslim/Makefile;do\
-		${ECHO_CMD} '.SUFFIXES: .fl .c .cc .cxx .o' >> $$f;\
-		${ECHO_CMD} '.cxx.o:' >> $$f;\
-		${ECHO_CMD} '	$$(CXX) -c $$(CXXFLAGS) $$<' >> $$f;done
+.for i in mixkit/src/Makefile tools/qslim/Makefile
+	@${ECHO_CMD} '.SUFFIXES: .fl .c .cc .cxx .o' >> ${WRKSRC}/${i}
+	@${ECHO_CMD} '.cxx.o:' >> ${WRKSRC}/${i}
+	@${ECHO_CMD} '	$$(CXX) -c $$(CXXFLAGS) $$<' >> ${WRKSRC}/${i}
+.endfor
 
 post-build:
 	@(cd ${BUILD_WRKSRC}/../../tools/qslim && ${SETENV} ${MAKE_ENV} \
-	${GMAKE} ${MAKE_ARGS} ${ALL_TARGET})
+		${MAKE_CMD} ${MAKE_ARGS} ${ALL_TARGET})
 
 do-install:
-	@${INSTALL_PROGRAM} ${WRKSRC}/mixkit/src/libmix.so ${PREFIX}/lib/
-	@${LN} -sf libmix.so ${PREFIX}/lib/libmix.so.0
-	@${INSTALL_PROGRAM} ${WRKSRC}/tools/qslim/qslim ${PREFIX}/bin/
-	@${INSTALL_PROGRAM} ${WRKSRC}/tools/qslim/qvis ${PREFIX}/bin/
-	@${INSTALL} -d ${PREFIX}/include/mixkit/
-	@${INSTALL_DATA} ${WRKSRC}/mixkit/src/*.h ${PREFIX}/include/mixkit/
+.for i in qslim qvis
+	(cd ${WRKSRC}/tools/qslim && ${INSTALL_PROGRAM} ${i} \
+		${STAGEDIR}${PREFIX}/bin)
+.endfor
+	@${MKDIR} ${STAGEDIR}${PREFIX}/include/mixkit
+	(cd ${WRKSRC}/mixkit/src && ${INSTALL_DATA} *.h \
+		${STAGEDIR}${PREFIX}/include/mixkit)
+	(cd ${WRKSRC}/mixkit/src && ${INSTALL_PROGRAM} libmix.so \
+		${STAGEDIR}${PREFIX}/lib)
+	@${LN} -sf libmix.so ${STAGEDIR}${PREFIX}/lib/libmix.so.0
 
 .include <bsd.port.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"